Bug 130610 - gtkhtml3.0 and gtkhtml3.1 should be parallel installable
gtkhtml3.0 and gtkhtml3.1 should be parallel installable
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: gtkhtml3 (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthew Barnes
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-22 14:07 EDT by William Lachance
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-30 09:31:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description William Lachance 2004-08-22 14:07:53 EDT
Description of problem:

Can't install mono if gtkhtml3 3.1 installed

Version-Release number of selected component (if applicable):

gtkhtml3-3.1.16-3

How reproducible:

Try to install the complete mono stack from  via rpm -Uvh *rpm after
unzipping the archive.

Steps to Reproduce:
1. Download the zip from
http://www.go-mono.com/archive/1.0.1/fedora-2-i386/
2. Unzip the zip into a directory. cd dir. rpm -Uvh *rpm
  
Actual results:

Will complain about the fact that gtkhtml3-3.0 is required.

Expected results:

Should be able to parallel install gtkhtml3.1 and gtkhtml3.0 to avoid
this problem.

Additional info:

I know redhat isn't including mono with their distribution (and I
suppose mono will eventually be updated to use gtkhtml 3.1 or some
subsequent version), but this is an issue that should be fixed anyway.
gtkhtml3.0 and gtkhtml3.1 are supposed to be parallel installable, so
please make it so they are. All that is needed is to rename gtkhtml3
to gtkhtml31.

I tried this with FC2 + the Evo2 snapshots at
http://people.redhat.com/dmalcolm, but the problem applies equally to
FC3Test1, looking at the distribution archives at
http://fedora.redhat.com.
Comment 1 Matthew Miller 2006-07-10 19:41:52 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 2 John Thacker 2006-10-30 09:31:38 EST
Closing per lack of response to previous request for information.
Note that FC3 and FC4 are supported by Fedora Legacy for security
fixes only.  Please install a still supported version and retest.  If
it still occurs on FC5 or FC6, please reopen and assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.

Note You need to log in before you can comment on or make changes to this bug.